import java.rmi.*;
import java.rmi.server.*;

public class CallbackHelloServer {

    public static void main(String[] args) {
        try {
			/* registrazione presso il registry */
            System.out.println("### Binding CallbackHello");
			CallbackHelloServerInterface server = new CallbackHelloServerImpl();
	        String registryUrl = "rmi://localhost/CallbackHelloServer";
            Naming.rebind(registryUrl, server);
            System.out.println("### CallbackHello bound");
        } catch (Exception e) {
            System.err.println("### CallbackHelloServer exception: " +
			       e.getMessage());
            // e.printStackTrace();
        }
    }

}


