import java.rmi.*;

public interface CallbackHelloServerInterface extends Remote {
	/* metodo di business */
    public String sayHello(String name) throws RemoteException;
    /* registrazione per il callback */
    public void registerForCallback(CallbackHelloClientInterface callbackClient)
    	throws RemoteException;
    /* cancella registrazione per il callback */
    public void unregisterForCallback(CallbackHelloClientInterface callbackClient)
    	throws RemoteException;
}

