import java.rmi.*;

public class CounterClient {
    public static void main(String args[]) {
        try {
	        String registryUrl = "rmi://localhost/Counter";
            CounterInterface counter = (CounterInterface) Naming.lookup(registryUrl);
            System.out.println("### Lookup complete");
            int result = counter.getCounter();
            System.out.println("### CounterClient: " + result);
        } catch (Exception e) {
            System.err.println("### CounterClient exception: " +
                               e.getMessage());
            // e.printStackTrace();
        }
    }
}

