import java.rmi.*;
import java.rmi.server.*;

public class CounterServer {

    public static void main(String[] args) {
        try {
            System.out.println("### Binding Counter");
			CounterImpl exportedObj = new CounterImpl();
	        String registryUrl = "rmi://localhost/Counter";
            Naming.rebind(registryUrl, exportedObj);
            System.out.println("### Counter bound");
        } catch (Exception e) {
            System.err.println("### CounterServer exception: " +
			       e.getMessage());
            // e.printStackTrace();
        }
    }

}


