import java.rmi.*;

public class DelayClient {
    public static void main(String args[]) {
        try {
	        String registryUrl = "rmi://localhost/Delay";
            DelayInterface delay = (DelayInterface) Naming.lookup(registryUrl);
            System.out.println("### Lookup complete");
            String message = delay.delay();
            System.out.println("### DelayClient: " + message);
        } catch (Exception e) {
            System.err.println("### DelayClient exception: " +
                               e.getMessage());
            // e.printStackTrace();
        }
    }
}

