import java.rmi.*;
import java.rmi.server.*;

public class DelayImpl extends UnicastRemoteObject implements DelayInterface {
	/* progressivo delle richieste */ 
	private int counter;

	public DelayImpl() throws RemoteException {
		super();
		counter = 0;
	}

    public String delay() throws RemoteException {
    	int numero;    // della richiesta 
    	synchronized (this) {
    		counter++; 
    		numero = counter; 
    	}
    	for (int i=0; i<10; i++) {
    		try {
    			Thread.sleep(1000);
    		} catch (Exception e) {}
    		System.out.println("Sto servendo la richiesta " + numero); 
    		}
		return "Richiesta numero: " + numero;
	}
}

