import java.rmi.*;
import java.rmi.server.*;

public class DelayServer {

    public static void main(String[] args) {
        try {
            System.out.println("### Binding Delay");
			DelayImpl exportedObj = new DelayImpl();
	        String registryUrl = "rmi://localhost/Delay";
            Naming.rebind(registryUrl, exportedObj);
            System.out.println("### Delay bound");
        } catch (Exception e) {
            System.err.println("### HelloServer exception: " +
			       e.getMessage());
            // e.printStackTrace();
        }
    }

}


